const {ccclass, property} = cc._decorator;
import ResLoader from 'ResLoader'
@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;
    @property(cc.Node)
    testNode: cc.Node = null;

    @property
    text: string = 'hello';

    start () {
        // init logic
        this.label.string = this.text;
        // cc.loader.loadRes("aaa")
    };
    onclick(){
        ResLoader.getInstance().loadRes("test", cc.Prefab, function (r, a) {
            if(a){
                var s = cc.instantiate(a);
                this.pre = s;
                this.testNode.addChild(s);
            }
        }.bind(this))
    };
    onclickDel(){
        this.pre.removeFromParent(true);
        this.pre.destroy();
        ResLoader.getInstance().releaseRes("test");
    };
}
